Opened 14 years ago

Closed 14 years ago

#174 closed defect (fixed)

Wiki::Toolkit::Plugin version not updated, not being installed by CPAN

Reported by: Earle Martin Owned by: Dominic Hargreaves
Priority: highest Milestone:
Component: openguides Version: svn
Severity: normal Keywords: hackfestsummer2007-reviewed
Cc:

Description

It appears that Wiki::Toolkit::Plugin didn't get its version number updated from 0.03 the last time it was changed. As a consequence, the CPAN shell will ignore it when updating an OpenGuides installation, causing a runtime failure in index.cgi when plugins try to use the new "wiki" method.

Can't locate object method "wiki" via package "Wiki::Toolkit::Plugin::Locator::Grid" at /foo/bar/lib/Wiki/Toolkit.pm line 789.

Anyone who upgrades using the CPAN will need to manually fix their installation by downloading the latest version of Wiki::Toolkit::Plugin from CPAN.

Change History (4)

comment:1 Changed 14 years ago by Dominic Hargreaves

Owner: changed from Dominic Hargreaves to Nobody

comment:2 Changed 14 years ago by Dominic Hargreaves

Owner: changed from Nobody to Dominic Hargreaves
Status: newassigned

Will bump Wiki::Toolkit::Plugin version for new release, and add checking that this problem doesn't recur in my release checklist.

comment:3 Changed 14 years ago by Kake

Keywords: hackfestsummer2007-reviewed added

comment:4 Changed 14 years ago by Dominic Hargreaves

Resolution: fixed
Status: assignedclosed

A new version of Wiki::Toolkit has been released which fixes this problem.

Note: See TracTickets for help on using tickets.